#pragma once

#include "../LocalParticipant.h"

namespace RoboidControl {
namespace Arduino {

class LocalParticipant : public RoboidControl::LocalParticipant {
 public:
  void Setup(int localPort, const char* remoteIpAddress, int remotePort);
  void Receive();
  bool Send(Participant* remoteParticipant, int bufferSize);
  bool Publish(IMessage* msg);

 protected:
  void GetBroadcastAddress();
};

}  // namespace Arduino
}  // namespace RoboidControl
