#include "DigitalInput.h"

#include <Arduino.h>

namespace RoboidControl {
namespace Arduino {

DigitalInput::DigitalInput(Participant* participant, unsigned char pin) : TouchSensor(participant) {
    this->pin = pin;

    pinMode(pin, INPUT);
}

void DigitalInput::Update(unsigned long currentTimeMs) {
    this->touchedSomething = digitalRead(pin) == LOW;

    // std::cout << "DigitalINput pin " << (int)this->pin << ": " << this->touchedSomething << "\n";
}

}  // namespace Arduino
}  // namespace RoboidControl